> For the complete documentation index, see [llms.txt](https://docs.fuelet.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuelet.app/intergration-guide/selecting-fuelet-as-a-connector.md).

# Selecting Fuelet as a connector

Fuel SDK operates with entities called [connectors](https://wallet.fuel.network/docs/dev/connectors/). Each connector is a wallet application which implements the SDK interfaces. All needed connectors should be registered in the `fuel` object.

So, in order to interact with a specific wallet, you need to select the corresponding connector first.

### Listing all available connectors

{% tabs %}
{% tab title="TypeScript" %}

```javascript
const connectors = await fuel.connectors();
console.log("available connectors", connectors);
```

{% endtab %}
{% endtabs %}

### Checking the currently selected connector

{% tabs %}
{% tab title="TypeScript" %}

```javascript
const currentConnector = fuel.currentConnector();
console.log("selected connector", currentConnector);
```

{% endtab %}
{% endtabs %}

### Changing the connector

{% tabs %}
{% tab title="TypeScript" %}

```javascript
const isSelected = await fuel.selectConnector("Fuelet Wallet");
console.log("isSelected", isSelected);
```

{% endtab %}
{% endtabs %}

After selecting the “Fuelet Wallet” connector, you can start communicating with Fuelet app.

The communication is identical to the official Fuel wallet. The only thing you need to do to switch wallets is to select an appropriate connector. See the Fuel wallet API documentation [here](https://wallet.fuel.network/docs/dev/getting-started/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuelet.app/intergration-guide/selecting-fuelet-as-a-connector.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
